Subject: Ticket Assigned - Feedback or suggestions
From: Max <[email-masked]>
To: [email-masked]
Date: Mon, 28 Sep 2020 07:41:19 +0000

Hi Shivani Rani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Hi, i called Max's store 3 times, i have been trying to make a payment since last night and my payment page through credit card is getting stuck again and again. I've tried about 10 times till now. I called to ask for help on your number mentioned on the website, and they cut the call and did not entertain my query at all. I'm a very frequent buyer at MAX and i did not expect such poor customer service from your end. You have lost a customer thats all I can say. Please take care so that you don't lose out on more customers. : https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1525033